Subject: URGENT: Firas, Aryan, cases
From: Gelna Genosolango <[email-masked]>
To: subir <[email-masked]>
Date: Fri, 2 Oct 2015 04:58:59 +0530 (IST)

LTK1221604446661X- Aryan case 
LTK1221604376325X- Firas 
LTK1221604393286X- Mohammad aldowaila 

Aryan's package is confirmed lost. She's now inquiring an update for the refund. 

Firas package is with Mohammad aldowaila 

Jess sent a label but DELIVERY ADDRESS is Dayton, Ohio address. It should be to Firas address. 

********************************************************************************** 

0756-3104 Mohammad aldowaila received the ASUS which belongs to Firas. Mohammad confirmed this over the phone when I spoke with him. 

0917-8949 Firas Received the package of Mohammad aldowaila - already RTO under 4752871480 

0756-3104 Mohammad aldowaila released 2 shipments under Order No. 2408873 : nutriquest semen volumizer and double watchwinder. He said he received only the dietary supplement and an Asus which means this Double Watchwinder released by him was the one which was delivered to Firas ( which I assumed) as the label which shared by Firas has a local tracking of 1Z87585E039684 which was for the double watch winder and maybe hub was wrong when they updated the item description for this package. That it should not be a double watchwinder but a weighing scale? Not sure though. 

This double watch winder was updated in 0806-1201 Aryan Pournasseh suite because it was Jess who confirmed that the package was addressed to this cx. It is currently in cx goods awaiting shipping with shipment ID4308737. 

And Aryan Pournasseh doesn't have Mohammad aldowaila nor Firas package as the package she received was for christina chew. Christina chew confirmed she got all the shipment she was expecting. 

Aryan Pournasseh was looking for her volta six watch winder . I have checked with Christina Chew if she received such package but she sai d: " No, I have not received anything which contains a VOLTA watch Winder. To be honest in all my years as a Client I have NEVER received somebody else's goods." 

Please look into these cases on top priority which we have been dealing for almost 2 months now yet there's no positive resolution offered to customers. 

Thank you and regards, 
Gelna